<?php

namespace App\JsonRpc;

use Hyperf\RpcClient\AbstractServiceClient;

class ChatService extends AbstractServiceClient implements ChatServiceInterface
{
    /**
     * 定义对应服务提供者的服务名称
     * @var string
     */
    protected string $serviceName = 'ChatService';
    /**
     * 定义对应服务提供者的服务协议
     * @var string
     */
    protected string $protocol = 'jsonrpc-http';

    /**
     * 添加申请
     * @param array $data
     * @return mixed
     */
    public function addFriend(array $data): mixed
    {
        return $this->__request(__FUNCTION__, $data);
    }
    public function getFriendsList(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    public function applyFriend(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    public function delFriend(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    public function getFriendInfo(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    public function isFriend(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    public function updateFriend(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    public function searchFriend(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    public function addChatRecords(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    public function getChatRecords(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }

    public function getConversation(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    public function getGroupMembers(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    public function getGroupInfo(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    public function getGroupList(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    public function addGroup(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    public function addGroupMembers(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    public function delGroupMember(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    public function getChatGroupList(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    public function getFriendsApplyList(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    public function updateGroup(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    public function quitGroup(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    public function joinGroup(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    public function getGroupApplyList(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    public function delGroup(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    public function delGroupMembers(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }

    public function getGroupMemberInfo(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    public function getTopicsList(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    public function addTopic(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    public function updateTopic(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    public function delTopic(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    public function getTopicInfo(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    public function addReply(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    public function getTopicReply(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    public function getGroupChatRecords(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    public function updateGroupMembers(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    public function clearRecords(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    public function recallRecord(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    public function clearGroupRecords(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    public function delRecords(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    public function getRecord(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    public function delReply(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    public function delAllReply(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    public function getTopicsListAdmin(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    public function applyTopic(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }


    public function getTopicClassList(array $data){
        return $this->__request(__FUNCTION__, $data);
    }
    public function addTopicClass(array $data){
        return $this->__request(__FUNCTION__, $data);
    }
    public function updateTopicClass(array $data){
        return $this->__request(__FUNCTION__, $data);
    }
    public function deleteTopicClass(array $data){
        return $this->__request(__FUNCTION__, $data);
    }
    public function getTopicClassInfo(array $data){
        return $this->__request(__FUNCTION__, $data);
    }
}
