<?php

namespace App\JsonRpc;

use Hyperf\RpcClient\AbstractServiceClient;

class NewsService extends AbstractServiceClient implements NewsServiceInterface
{
    /**
     * 定义对应服务提供者的服务名称
     * @var string
     */
    protected string $serviceName = 'NewsService';
    /**
     * 定义对应服务提供者的服务协议
     * @var string
     */
    protected string $protocol = 'jsonrpc-http';


    /**
     * @param array $data
     * @return mixed
     */
    public function getCategoryList(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }

    /**
     * @param array $data
     * @return mixed
     */
    public function myCategoryList(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    /**
     * @param array $data
     * @return array
     */
    public function categoryList(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }

    /**
     * @param array $data
     * @return array
     */
    public function addCategory(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }

    /**
     * @param array $data
     * @return array
     */
    public function delCategory(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }

    /**
     * @param array $data
     * @return array
     */
    public function updateCategory(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }

    /**
     * @param array $data
     * @return array
     */
    public function getArticleList(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }

    /**
     * @param array $data
     * @return array
     */
    public function addArticle(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }

    /**
     * @param array $data
     * @return array
     */
    public function delArticle(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }

    /**
     * @param array $data
     * @return array
     */
    public function updateArticle(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    /**
     * @param array $data
     * @return array
     */
    public function getArticleInfo(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    /**
     * @param array $data
     * @return array|mixed
     */
    public function getCategoryInfo(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }


    /**
     * 更新资讯状态
     * @param array $data
     * @return mixed
     */
    public function upArticleStatus(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }

    /**
     * @param array $data
     * @return array
     */
    public function getWebsiteArticlett(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    /**
     * @param array $data
     * @return array
     */
    public function getWebsiteModelArticles(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }

    //20250226  产品列表
    public function getGoodList(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    public function getGoodInfo(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    public function addGood(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    public function delGood(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    public function updateGood(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }

    //20250226  产品列表
    //20250306  求职信息    
    public function getJobHuntingList(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    public function getJobHuntingInfo(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    public function addJobHunting(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    public function delJobHunting(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    public function updateJobHunting(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    public function getJobHuntingData(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    //20250306  求职信息    



    /**
     * @param array $data
     * @return array|mixed
     */
    public function checkCategoryName(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }

    /**
     * @param array $data
     * @return array
     */
    public function getWebsiteArticleList(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    /**
     * @param array $data
     * @return array
     */
    public function selectWebsiteArticleInfo(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    /**
     * @param array $data
     * @return mixed
     */
    public function getWebsiteSurvey(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    /**
     * @param array $data
     * @return mixed
     */
    public function addWebsiteSurveyOption(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    /**
     * @param array $data
     * @return mixed
     */
    public function addWebsiteSurveyVote(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    /**
     * @param array $data
     * @return mixed
     */
    public function getSurveyList(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    /**
     * @param array $data
     * @return mixed
     */
    public function getSurveyInfo(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }

    /**
     * @param array $data
     * @return mixed
     */
    public function selectWebsiteArticle(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    /**
     * @param array $data
     * @return mixed
     */
    public function getWebsiteCatidArticle(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    /**
     * @param array $data
     * @return mixed
     */
    public function getWebsiteAllArticle(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    /**
     * @param array $data
     * @return mixed
     */
    public function getWebsiteArticles(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
     /**
     * @param array $data
     * @return mixed
     */
    public function getWebsiteshop(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    /**
     * @param array $data
     * @return mixed
     */
    public function getWebsiteshopCat(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    /**
     * @param array $data
     * @return mixed
     */
    public function getWebsiteshopInfo(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    /**
     * @param array $data
     * @return mixed
     */
    public function getWebsiteshopList(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }

    //20250324  通知，公告，消息
    public function getNoticeList(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    public function getNoticeInfo(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    public function addNotice(array $data): array
    {
        return $this->__request(__FUNCTION__, $data);
    }
    public function updateNotice(array $data): array
    {
        return $this->__request(__FUNCTION__, $data);
    }
    public function deleteNotice(array $data): array
    {
        return $this->__request(__FUNCTION__, $data);
    }
    public function getMSG(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }

    public function getComplaintList(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }

    public function getComplaintInfo(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }

    public function addComplaint(array $data): array
    {
        return $this->__request(__FUNCTION__, $data);
    }
    public function updateComplaint(array $data): array
    {
        return $this->__request(__FUNCTION__, $data);
    }
    public function deleteComplaint(array $data): array
    {
        return $this->__request(__FUNCTION__, $data);
    }
    public function updateJobHuntingStatus(array $data): array
    {
        return $this->__request(__FUNCTION__, $data);
    }
    public function updateNoticeStatus(array $data): array
    {
        return $this->__request(__FUNCTION__, $data);
    }
    public function updateComplaintStatus(array $data): array
    {
        return $this->__request(__FUNCTION__, $data);
    }
    public function updateGoodStatus(array $data): array
    {
        return $this->__request(__FUNCTION__, $data);
    }
    public function getDUser(array $data): array
    {
        return $this->__request(__FUNCTION__, $data);
    }
    //20250324  通知，公告，消息
    /**
     * @param array $data
     * @return mixed
     */
    public function getJobRecruitingList(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    /**
     * @param array $data
     * @return mixed
     */
    public function getJobRecruitingInfo(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    /**
     * @param array $data
     * @return mixed
     */
    public function addJobRecruiting(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }

    /**
     * @param array $data
     * @return mixed
     */
    public function getJobRecruitingArea(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    /**
     * @param array $data
     * @return mixed
     */
    public function getIndustry(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    /**
     * @param array $data
     * @return mixed
     */
    public function getPositionList(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    /**
     * @param array $data
     * @return mixed
     */
    public function getJobNature(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    /**
     * @param array $data
     * @return mixed
     */
    public function getExperience(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    /**
     * @param array $data
     * @return mixed
     */
    public function getEducation(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    /**
     * @param array $data
     * @return mixed
     */
    public function getSalary(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    /**
     * @param array $data
     * @return mixed
     */
    public function getLanguage(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    /**
     * @param array $data
     * @return mixed
     */
    public function getLevel(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    /**
     * @param array $data
     * @return mixed
     */
    public function getCompanySize(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    /**
     * @param array $data
     * @return mixed
     */
    public function getCompanyNature(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    /**
     * @param array $data
     * @return mixed
     */
    public function upJobRecruiting(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    /**
     * @param array $data
     * @return mixed
     */
    public function delJobRecruiting(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    /**
     * @param array $data
     * @return mixed
     */
    public function getJobCompany(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    /**
     * @param array $data
     * @return mixed
     */
    public function upJobCompany(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    /**
     * @param array $data
     * @return mixed
     */
    public function checkJobRecruiting(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    //20250422  书刊音像
    public function getBookList(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    public function updateBook(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    public function addBook(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    public function getBookInfo(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    public function deleteBook(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    public function updateBookStatus(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    //20250422  书刊音像
}
