<?php

namespace App\JsonRpc;

use Hyperf\RpcClient\AbstractServiceClient;

class OrderService extends AbstractServiceClient implements OrderServiceInterface
{
    /**
     * 定义对应服务提供者的服务名称
     * @var string
     */
    protected string $serviceName = 'OrderService';
    /**
     * 定义对应服务提供者的服务协议
     * @var string
     */
    protected string $protocol = 'jsonrpc-http';
   
    /**
     * @param array $data
     * @return mixed
     */
    public function getAD(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    /**
     * @param array $data
     * @return mixed
     */
    public function getWebsiteAd(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    /**
     * @param array $data
     * @return mixed
     */
    public function getOrderListAdmin(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    public function getOrderDetailAdmin(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    public function applyOrderStatusAdmin(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    public function editPriceOrderAdmin(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    public function rejectOrderAdmin(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    public function endOrderAdmin(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    public function delOrderAdmin(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
     /**
     * @param array $data
     * @return mixed
     */
    public function getPrice(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    /**
     * @param array $data
     * @return mixed
     */
    public function addAD(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    /**
     * @param array $data
     * @return mixed
     */
    public function getOrderList(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    /**
     * @param array $data
     * @return mixed
     */
    public function getOrderDetail(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    /**
     * @param array $data
     * @return mixed
     */
    public function cancelOrder(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    /**
     * @param array $data
     * @return mixed
     */
    public function delOrderAD(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }

    
    /**
     * @param array $data
     * @return mixed
     */
    public function addShoppingCart(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    /**
     * @param array $data
     * @return mixed
     */
    public function getShoppingCartAD(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    /**
     * @param array $data
     * @return mixed
     */
    public function addShoppingCartAD(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    /**
     * @param array $data
     * @return mixed
     */
    public function delShoppingCartAD(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    /**
     * 
     * @return mixed
     */
    public function getAdSize()
    {
        return $this->__request(__FUNCTION__, []);
    }
}
