<?php

namespace App\JsonRpc;

use Hyperf\RpcClient\AbstractServiceClient;

class PublicRpcService extends AbstractServiceClient implements PublicRpcServiceInterface
{
    /**
     * 定义对应服务提供者的服务名称
     * @var string
     */
    protected string $serviceName = 'PublicRpcService';
    /**
     * 定义对应服务提供者的服务协议
     * @var string
     */
    protected string $protocol = 'jsonrpc-http';

    /**
     * @param array $data
     * @return mixed
     */
    public function getDistrictList(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }

    /**
     * @param array $data
     * @return mixed
     */
    public function getUserLevelList(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    /**
     * 添加等级
     * @param array $data
     * @return array
     */
    public function addUserLevel(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }

    /**
     * 删除等级
     * @param array $data
     * @return array
     */
    public function delUserLevel(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }

    /**
     * 更新等级
     * @param array $data
     * @return array
     */
    public function updateUserLevel(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }

    /**
     * @param array $data
     * @return array|mixed
     */
    public function getLetterOfComplaint(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }

    /**
     * @param array $data
     * @return array|mixed
     */
    public function addLetterOfComplaint(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }

    /**
     * @param array $data
     * @return array|mixed
     */
    public function upLetterOfComplaint(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }

    /**
     * @param array $data
     * @return array|mixed
     */
    public function userUpLetterOfComplaint(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    /**
     * @param array $data
     * @return array|mixed
     */
    public function getLetterOfComplaintInfo(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }

    /**
     * @param array $data
     * @return array|mixed
     */
    public function delLetterOfComplaint(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }

    /**
     * @param array $data
     * @return array|mixed
     */
    public function getLetterType(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }

    /**
     * @param array $data
     * @return array|mixed
     */
    public function upLetterType(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }

    /**
     * @param array $data
     * @return array|mixed
     */
    public function addLetterType(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    /**
     * @param array $data
     * @return array|mixed
     */
    public function delLetterType(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    /**
     * @param array $data
     * @return array|mixed
     */
    public function checkMeasure(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    /**
     * @param array $data
     * @return array|mixed
     */
    public function getDepartment(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }

    /**
     * @param array $data
     * @return array|mixed
     */
    public function getZhinengbumenList(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    /**
     * @param array $data
     * @return array|mixed
     */
    public function addZhinengbumen(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    /**
     * @param array $data
     * @return array|mixed
     */
    public function getZhinengbumen(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    /**
     * @param array $data
     * @return array|mixed
     */
    public function getPidZhinengbumen(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    /**
     * @param array $data
     * @return array|mixed
     */
    public function delZhinengbumen(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    /**
     * @param array $data
     * @return array|mixed
     */

    public function modZhinengbumen(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    public function getTemplateClass(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }

    public function getTemplateList(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    public function getTemplateInfo(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    public function addTemplate(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    public function delTemplate(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    public function updateTemplate(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    public function getSectorList(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    
    public function getSectorInfo(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    public function addSector(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    public function delSector(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    public function updateSector(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    public function getComponentList(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    public function getComponentInfo(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    public function addComponent(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    public function delComponent(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    public function updateComponent(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    public function getWebsiteTemplateList(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    public function getWebsiteTemplateInfo(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    public function getBuckets(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    /**
     * @param array $data
     * @return array|mixed
     */
    public function uploadFile(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }

    public function getBlackWordList(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    public function addBlackWord(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    public function delBlackWord(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    public function upBlackWord(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    public function getIpInfo(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    public function getWeatherInfo(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    public function getCalendar(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
}
