<?php

namespace App\JsonRpc;

use Hyperf\RpcClient\AbstractServiceClient;

class WebsiteService extends AbstractServiceClient implements WebsiteServiceInterface
{
    /**
     * 定义对应服务提供者的服务名称
     * @var string
     */
    protected string $serviceName = 'WebsiteService';
    /**
     * 定义对应服务提供者的服务协议
     * @var string
     */
    protected string $protocol = 'jsonrpc-http';


    /**
     * @param string $keyword
     * @param int $page
     * @param int $pageSize
     * @return mixed
     */
    public function getWebsitetList(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }

    /**
     * @param array $data
     * @return mixed
     */
    public function createWebsite(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }

    /**
     * @param int $id
     * @param array $data
     * @return mixed
     */
    public function updateWebsite(int $id, array $data)
    {
        return $this->__request(__FUNCTION__,compact('id', 'data'));
    }

    /**
     * @param int $id
     * @return mixed
     */
    public function delWebsite(int $id)
    {
        return $this->__request(__FUNCTION__,compact('id'));
    }

    /**
     * @param int $id
     * @return mixed
     */
    public function getWebsiteInfo(int $id)
    {
        return $this->__request(__FUNCTION__,compact('id'));
    }

    /**
     * @param array $data
     * @return array
     */
    public function getWebsiteColumn(array $data): array
    {
        return $this->__request(__FUNCTION__, $data);
    }


    /**
     * @param string $keyword
     * @param int $page
     * @param int $pageSize
     * @return mixed
     */
    public function getWebsiteColumnList(array $data)
    {
//        return $this->__request(__FUNCTION__, compact('keyword','page','pageSize'));
        return $this->__request(__FUNCTION__, $data);
    }

    /**
     * @param array $data
     * @return mixed
     */
    public function createWebsiteColumn(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }

    /**
     * @param int $id
     * @param array $data
     * @return mixed
     */
    public function updateWebsiteColumn(int $id, array $data)
    {
        return $this->__request(__FUNCTION__,compact('id', 'data'));
    }

    /**
     * @param int $id
     * @return mixed
     */
    public function delWebsiteColumn(int $id)
    {
        return $this->__request(__FUNCTION__,compact('id'));
    }

    /**
     * @param string $keyword
     * @param int $page
     * @param int $pageSize
     * @return mixed
     */
    public function getWebsiteRoleList(string $keyword, int $page, int $pageSize,int $websiteId)
    {
        return $this->__request(__FUNCTION__, compact('keyword','page','pageSize','websiteId'));
    }
    /**
     * @param array $data
     * @return mixed
     */
    public function createWebsiteRole(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }

    /**
     * @param int $id
     * @param array $data
     * @return mixed
     */
    public function updateWebsiteRole(int $id, array $data)
    {
        return $this->__request(__FUNCTION__,compact('id', 'data'));
    }

    /**
     * @param int $id
     * @return mixed
     */
    public function delWebsiteRole(int $id)
    {
        return $this->__request(__FUNCTION__,compact('id'));
    }
    /**
     * @param string $keyword
     * @param int $page
     * @param int $pageSize
     * @return mixed
     */
    public function getWebsiteRoleUserList(string $keyword, int $page, int $pageSize,int $websiteId,int $roleId)
    {
        return $this->__request(__FUNCTION__, compact('keyword','page','pageSize','websiteId','roleId'));
    }

    /**
     * @param array $data
     * @return mixed
     */
    public function createWebsiteRoleUser(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }

    /**
     * @param int $id
     * @param array $data
     * @return mixed
     */
    public function updateWebsiteRoleUser(int $id, array $data)
    {
        return $this->__request(__FUNCTION__,compact('id', 'data'));
    }

    /**
     * @param int $id
     * @return mixed
     */
    public function delWebsiteRoleUser(int $id)
    {
        return $this->__request(__FUNCTION__,compact('id'));
    }

    /**
     * @param array $data
     * @return array|mixed
     */
    public function getWebsiteId(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }

    /**
     * @param array $data
     * @return array|mixed
     */
    public function getWebsiteCategory(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }

    /**
     * @param array $data
     * @return array|mixed
     */

    public function getWebsiteAdvertisement(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }

     /**
     * @param array $data
     * @return array|mixed
     */

    public function selectWebsiteDepartment(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }

    /**
     * @param array $data
     * @return mixed
     */

    public function selectWebsiteArea(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }

    /**
     * @param array $data
     * @return mixed
     */

    public function getWebsiteModelCategory(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }

    /**
     * @param array $data
     * @return mixed
     */

    public function selectWebsiteLinks(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }




    /**
     * @param array $data
     * @return array|mixed
     */
    public function getAdminIndex(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }

    /**
     * @param array $data
     * @return array|mixed
     */
    public function getTemplateClass(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }

    /**
     * @param array $data
     * @return array|mixed
     */
    public function addTemplateClass(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }

    /**
     * @param array $data
     * @return array|mixed
     */
    public function upTemplateClass(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }

    /**
     * @param array $data
     * @return array|mixed
     */
    public function delTemplateClass(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }

    /**
     * @param array $data
     * @return array|mixed
     */
    public function getTemplate(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }

    /**
     * @param array $data
     * @return array|mixed
     */
    public function addTemplate(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }

    /**
     * @param array $data
     * @return array|mixed
     */
    public function upTemplate(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }

    /**
     * @param array $data
     * @return mixed
     */
    public function delTemplate(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }


    /**
     * @param array $data
     * @return array|mixed
     */
    public function websiteList(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }

    /**
     * @param array $data
     * @return mixed
     */
    public function addWebsiteCategory(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }

    /**
     * @param array $data
     * @return mixed
     */
    public function delWebsiteCategory(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }

    /**
     * @param array $data
     * @return mixed
     */
    public function delWebsiteAllCategory(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }

    /**
     * @param array $data
     * @return mixed
     */
    public function getWebsiteCategoryOnes(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }

    /**
     * @param array $data
     * @return mixed
     */
    public function upWebsiteCategoryones(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }

    /**
     * @param array $data
     * @return mixed
     */
    public function getWebsiteAllCategory(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }

    /**
     * @param array $data
     * @return mixed
     */
    public function getAdminWebsiteCategory(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }

    /**
     * @param array $data
     * @return mixed
     */
    public function upWebsiteCategory(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }

    /**
     * @param array $data
     * @return mixed
     */
    public function getWebsiteCategoryList(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }

    /**
     * @param array $data
     * @return mixed
     */
    public function checkWebsiteName(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }

    /**
     * @param array $data
     * @return mixed
     */
    public function checkWebsiteUrl(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }

    


    
    /**
     * @param array $data
     * @return mixed
     */
    public function getWebsiteFootInfo(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
     /**
     * @param array $data
     * @return mixed
     */
    public function getWebsiteFooterCategory(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    /**
     * @param array $data
     * @return mixed
     */
    public function getWebsiteFooterCategoryList(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
     /**
     * @param array $data
     * @return mixed
     */
    public function getWebsiteFooterCategoryInfo(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
     /**
     * @param array $data
     * @return mixed
     */
    public function selectWebsiteCategory(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
     /**
     * @param array $data
     * @return mixed
     */
    public function getWebsiteCategoryHead(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    /**
     * @param array $data
     * @return mixed
     */
    public function getOneWebsiteCategory(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    

    //20250212  网站标识
    public function addWebsiteGroup(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    public function getWebsiteGroupList(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    public function getWebsiteGroupInfo(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    public function deleteWebsiteGroup(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    public function updateWebsiteGroup(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    public function getWebsiteNavList(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    // 20250307 根据网站标识获取导航池
    public function getWebsiteNavPool(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    // 20250307 根据网站标识获和导航获取站点
    public function getWebsiteNavPoolSite(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }

    /**
     * 获取所有栏目
     * @param array $data
     * @return array|mixed
     */
    public function getAllCategory(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }

    /**修改网站排序
     * @param array $data
     * @return mixed
     */
    public function upWebsiteCategorySort(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }


    // --自助建站-----------fr----------------------start
     /**
     * @param array $data
     * @return mixed
     */
    public function getWebsiteintel(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
     /**
     * @param array $data
     * @return mixed
     */
    public function addWebsiteTemplateintel(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    } 
     /**
     * @param array $data
     * @return mixed
     */
    public function getWebsiteTemplateintel(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
     /**
     * @param array $data
     * @return mixed
     */
    public function upWebsiteTemplateintel(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }   
    /**
     *@param array $data
     * @return mixed
     */
    public function getAllTemplateClass(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    /**
     * @param array $data
     * @return mixed
     */
    public function getWebsiteTemplateList(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    /**
     * @param array $data
     * @return mixed
     */
    public function addWebsiteTemplateclassintel(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    /**
     * @param array $data
     * @return mixed
     */
    public function getWebsiteTemplateclassintel(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    /**
     * @param array $data
     * @return mixed
     */
    public function getWebsiteSectorList(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    // --自助建站-----------fr----------------------end

    // --底部基础信息-----------fr----------------------start
    /**
     * @param array $data
     * @return mixed
    */
    public function getWebFootInfo(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    /**
     * @param array $data
     * @return mixed
     */
    public function addWebFootInfo(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    /**
     * @param array $data
     * @return mixed
    */
    public function upWebFootInfo(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    // --底部基础信息-----------fr----------------------end



    /**
     * @param array $data
     * @return mixed
     */
    public function getWebsiteParentCategory(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    /**
     * @param array $data
     * @return mixed
     */
    public function getWebsiteFootAll(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    /**
     * @param array $data
     * @return mixed
     */
    public function getWebsiteHead(array $data)
    {
        return $this->__request(__FUNCTION__, $data);
    }
    /**
     * @param array $data
     * @return mixed
     */
    public function getWebsiteRoute(array $data)
    {
        return $this->__request(__FUNCTION__, $data); 
    }
   
}