<?php
namespace App\JsonRpc;

interface WebsiteServiceInterface
{
    /**
     * @param string $keyword
     * @param int $page
     * @param int $pageSize
     */
    public function getWebsitetList(array $data);

    /**
     * @param array $data
     * @return array
     */
    public function createWebsite(array $data);

    /**
     * @param int $id
     * @param array $data
     * @return array
     */
    public function updateWebsite(int $id, array $data);

    /**
     * @param int $id
     * @return array
     */
    public function delWebsite(int $id);

    /**
     * 查询网站信息
     * @param int $id
     * @return array
     */
    public function getWebsiteInfo(int $id);

    /**
     * @param array $data
     * @return mixed
     */
    public function getWebsiteColumn(array $data);

    /**
     * @param string $keyword
     * @param int $page
     * @param int $pageSize
     */
    public function getWebsiteColumnList(array $data);

    /**
     * @param array $data
     * @return array
     */
    public function createWebsiteColumn(array $data);

    /**
     * @param int $id
     * @param array $data
     * @return array
     */
    public function updateWebsiteColumn(int $id, array $data);

    /**
     * @param int $id
     * @return array
     */
    public function delWebsiteColumn(int $id);

    /**
     * @param string $keyword
     * @param int $page
     * @param int $pageSize
     */
    public function getWebsiteRoleList(string $keyword, int $page, int $pageSize, int $websiteId);
    /**
     * @param array $data
     * @return array
     */
    public function createWebsiteRole(array $data);

    /**
     * @param int $id
     * @param array $data
     * @return array
     */
    public function updateWebsiteRole(int $id, array $data);

    /**
     * @param int $id
     * @return array
     */
    public function delWebsiteRole(int $id);

    /**
     * @param string $keyword
     * @param int $page
     * @param int $pageSize
     */
    public function getWebsiteRoleUserList(string $keyword, int $page, int $pageSize, int $websiteId, int $roleId);

    /**
     * @param array $data
     * @return array
     */
    public function createWebsiteRoleUser(array $data);

    /**
     * @param int $id
     * @param array $data
     * @return array
     */
    public function updateWebsiteRoleUser(int $id, array $data);

    /**
     * @param int $id
     * @return array
     */
    public function delWebsiteRoleUser(int $id);

    /**
     * @param array $data
     * @return mixed
     */

    public function getWebsiteId(array $data);

    /**
     * @param array $data
     * @return mixed
     *
     */

    public function getWebsiteCategory(array $data);

    /**
     * @param array $data
     * @return mixed
     *
     */

    public function getWebsiteAdvertisement(array $data);

    /**
     * @param array $data
     * @return mixed
     *
     */

    public function selectWebsiteDepartment(array $data);

    /**
     * @param array $data
     * @return mixed
     *
     */

    public function selectWebsiteArea(array $data);

    /**
     * @param array $data
     * @return mixed
     *
     */

    public function getWebsiteModelCategory(array $data);

    /**
     * @param array $data
     * @return mixed
     *
     */

    public function selectWebsiteLinks(array $data);

    /**
     * @param array $data
     * @return mixed
     */
    public function getAdminIndex(array $data);

    /**
     * @param array $data
     * @return mixed
     */
    public function getTemplateClass(array $data);

    /**
     * @param array $data
     * @return mixed
     */
    public function addTemplateClass(array $data);

    /**
     * @param array $data
     * @return mixed
     */
    public function upTemplateClass(array $data);

    /**
     * @param array $data
     * @return mixed
     */
    public function delTemplateClass(array $data);

    /**
     * @param array $data
     * @return mixed
     */
    public function getTemplate(array $data);

    /**
     * @param array $data
     * @return mixed
     */
    public function addTemplate(array $data);

    /**
     * @param array $data
     * @return mixed
     */
    public function upTemplate(array $data);

    /**
     * @param array $data
     * @return mixed
     */
    public function delTemplate(array $data);

    /**
     * @param array $data
     * @return mixed
     */
    public function websiteList(array $data);

    /**
     * @param array $data
     * @return mixed
     */
    public function addWebsiteCategory(array $data);

    /**
     * @param array $data
     * @return mixed
     */
    public function delWebsiteCategory(array $data);

    /**
     * @param array $data
     * @return mixed
     */
    public function getAdminWebsiteCategory(array $data);

    /**
     * @param array $data
     * @return mixed
     */
    public function upWebsiteCategory(array $data);

    /**
     * @param array $data
     * @return mixed
     */
    public function getWebsiteCategoryList(array $data);

    /**
     * @param array $data
     * @return mixed
     */
    public function delWebsiteAllCategory(array $data);

    /**
     * @param array $data
     * @return mixed
     */
    public function getWebsiteCategoryOnes(array $data);

    /**
     * @param array $data
     * @return mixed
     */
    public function upWebsiteCategoryones(array $data);

    /**
     * @param array $data
     * @return mixed
     */
    public function getWebsiteAllCategory(array $data);

    /**
     * @param array $data
     * @return mixed
     */
    public function checkWebsiteName(array $data);

    /**
     * @param array $data
     * @return mixed
     */
    public function checkWebsiteUrl(array $data);


    /**
     * @param array $data
     * @return mixed
     */
    public function getWebsiteFootInfo(array $data);
    /**
     * @param array $data
     * @return mixed
     */
    public function getWebsiteFooterCategory(array $data);
    /**
     * @param array $data
     * @return mixed
     */
    public function getWebsiteFooterCategoryList(array $data);
    /**
     * @param array $data
     * @return mixed
     */
    public function getWebsiteFooterCategoryInfo(array $data);
    /**
     * @param array $data
     * @return mixed
     */
    public function selectWebsiteCategory(array $data);
    /**
     * @param array $data
     * @return mixed
     */
    public function getWebsiteCategoryHead(array $data);
    /**
     * @param array $data
     * @return mixed
     */
    public function getOneWebsiteCategory(array $data);

    //20250212  网站标识
    public function addWebsiteGroup(array $data);
    public function getWebsiteGroupList(array $data);
    public function deleteWebsiteGroup(array $data);
    public function getWebsiteGroupInfo(array $data);
    public function updateWebsiteGroup(array $data);
    public function getWebsiteNavList(array $data);
    /// 20250307 根据网站标识获和导航获取站点
    public function getWebsiteNavPool(array $data);
    public function getWebsiteNavPoolSite(array $data);

    /**
     * @param array $data
     * @return mixed
     */
    public function getAllCategory(array $data);

    /**
     * 修改网站栏目排序
     * @param array $data
     * @return mixed
     */
    public function upWebsiteCategorySort(array $data);

    

    // --自助建站-----------fr----------------------start
    /**
     * @param array $data
     * @return mixed
     *
     */
    public function getWebsiteintel(array $data);
    /** 
    * @param array $data
    * @return mixed
    *
    */
   public function addWebsiteTemplateintel(array $data);
    /**
     * @param array $data
     * @return mixed
     *
     */
    public function getWebsiteTemplateintel(array $data);
    /**
     * @param array $data
     * @return mixed
     *
     */
    public function upWebsiteTemplateintel(array $data);
    /** 
    * @param array $data
    * @return mixed
    *
    */
    public function getAllTemplateClass(array $data);
     /** 
    * @param array $data
    * @return mixed
    *
    */
    public function getWebsiteTemplateList(array $data);
   /** 
    * @param array $data
    * @return mixed
    *
    */
    public function addWebsiteTemplateclassintel(array $data);
    /** 
    * @param array $data
    * @return mixed
    *
    */
    public function getWebsiteTemplateclassintel(array $data);
    /** 
    * @param array $data
    * @return mixed
    *
    */
    public function getWebsiteSectorList(array $data);
    // --自助建站-----------fr----------------------end

    // --底部基础信息-----------fr----------------------start
    /**
     * @param array $data
     * @return mixed
    */
    public function getWebFootInfo(array $data);
    /**
     * @param array $data
     * @return mixed
     *
    */
    public function addWebFootInfo(array $data);
    /**
     * @param array $data
     * @return mixed
     *
     */
    public function upWebFootInfo(array $data);
    // --底部基础信息-----------fr----------------------end


    /**
     * @param array $data
     * @return mixed
     *
     */
    public function getWebsiteParentCategory(array $data);
    /**
     * @param array $data
     * @return mixed
     *
     */
    public function getWebsiteFootAll(array $data);
    /**
     * @param array $data
     * @return mixed
     */
    public function getWebsiteHead(array $data);
    /**
     * @param array $data
     * @return mixed
     */
    public function getWebsiteRoute(array $data);
    
}
