<?php

declare(strict_types=1);

use App\Controller\AdController;
use Hyperf\HttpServer\Router\Router;
use App\Middleware\Auth\FooMiddleware;
Router::addGroup(
    '/ad', function () {
        Router::post('/createAd', [AdController::class, 'createAd']);
        //添加广告位
        Router::post('/createAdPlace', [AdController::class, 'createAdPlace']);
        Router::get('/getAdInfo', [AdController::class, 'getAdInfo']);
        //获取广告位详情
        Router::get('/getAdPlaceInfo', [AdController::class, 'getAdPlaceInfo']);
        //获取广告列表
        Router::get('/getAdList', [AdController::class, 'getAdList']);
        Router::post('/updateAd', [AdController::class, 'updateAd']);
        Router::post('/delAd', [AdController::class, 'delAd']);
        //广告位列表
        Router::get('/getAdPlaceList', [AdController::class, 'getAdPlaceList']);
        //修改广告位
        Router::post('/updateAdPlace', [AdController::class, 'updateAdPlace']);
        //删除广告位
        Router::post('/delAdPlace', [AdController::class, 'delAdPlace']);
    },
    ['middleware' => [FooMiddleware::class]]
);

