<?php

declare(strict_types=1);


use App\Middleware\Auth\FooMiddleware;
use Hyperf\HttpServer\Router\Router;
use App\Controller\CollectorController;
//智普测试接口
Router::addGroup('/chat', function () {
    Router::get('/stream', 'App\Controller\SseController@stream');
});
Router::addGroup(
    '/collector', function () {
        Router::get('/index', [CollectorController::class, 'index']);

        //添加网站
        Router::post('/addWeb', [CollectorController::class, 'addWeb']);
        //修改网站
        Router::post('/upWeb', [CollectorController::class, 'upWeb']);
        //查看并搜索网站
        Router::post('/getWeb', [CollectorController::class, 'getWeb']);
        //删除网站
        Router::get('/delWeb', [CollectorController::class, 'delWeb']);

        //查看并搜索任务
        Router::post('/getRule', [CollectorController::class, 'getRule']);
        //添加规则型任务
        Router::post('/addRule', [CollectorController::class, 'addRule']);
        //获取某个规则
        Router::get('/getOneRule', [CollectorController::class, 'getOneRule']);
        //修改规则
        Router::post('/upRule', [CollectorController::class, 'upRule']);
        //删除规则
        Router::get('/delRule', [CollectorController::class, 'delRule']);

        //开始采集
        Router::post('/sendCrawler', [CollectorController::class, 'sendCrawler']);

        //获取并搜索资讯
        Router::post('/getInfo', [CollectorController::class, 'getInfo']);
        //获取某个资讯
        Router::get('/getOneInfo', [CollectorController::class, 'getOneInfo']);
        //修改资讯
        Router::post('/upInfo', [CollectorController::class, 'upInfo']);
        //删除资讯
        Router::get('/delInfo', [CollectorController::class, 'delInfo']);

        //关联导航
        Router::post('/addCatid', [CollectorController::class, 'addCatid']);
        //导入数据
        Router::get('/addArt', [CollectorController::class, 'addArt']);

    },
    ['middleware' => [FooMiddleware::class]]
);
