<?php

declare(strict_types=1);

use App\Controller\FooterController;
use Hyperf\HttpServer\Router\Router;
use App\Middleware\Auth\FooMiddleware;
Router::addGroup(
    '/footer', function () {
        /**获取并搜索底部导航 */
        Router::post('/getFooterCategory', [FooterController::class, 'getFooterCategory']);
        /**创建底部导航 */
        Router::post('/addFooterCategory', [FooterController::class, 'addFooterCategory']);
        /**修改底部导航 */
        Router::post('/upFooterCategory', [FooterController::class, 'upFooterCategory']);
         /**删除底部导航 */
        Router::post('/delFooterCategory', [FooterController::class, 'delFooterCategory']);
        

        /**获取并搜索底部导航（列表）内容 */
        Router::post('/getFooterContent', [FooterController::class, 'getFooterContent']);
        /**添加底部导航（列表）内容 */
        Router::post('/addFooterContent', [FooterController::class, 'addFooterContent']);
        /**获取底部导航（列表）内容 */
        Router::post('/getOneFooterContent', [FooterController::class, 'getOneFooterContent']);
        /**修改底部导航（列表）内容 */
        Router::post('/upFooterContent', [FooterController::class, 'upFooterContent']);
        /**删除底部导航（列表）内容 */
        Router::post('/delFooterContent', [FooterController::class, 'delFooterContent']);
    },
    ['middleware' => [FooMiddleware::class]]
);
