<?php

declare(strict_types=1);

use App\Controller\LinkController;
use Hyperf\HttpServer\Router\Router;
use App\Middleware\Auth\FooMiddleware;
Router::addGroup(
    '/link', function () {
        //获取友情链接 列表
        Router::get('/getLinkList', [LinkController::class, 'getLinkList']);
        //创建友情链接
        Router::post('/createLink', [LinkController::class, 'createLink']);
        //更新友情链接
        Router::post('/updateLink', [LinkController::class, 'updateLink']);
        //删除友情链接
        Router::post('/delLink', [LinkController::class, 'delLink']);
        //获取友情链接
        Router::get('/getLinkInfo', [LinkController::class, 'getLinkInfo']);
    },
    ['middleware' => [FooMiddleware::class]]
);
