<?php

declare(strict_types=1);

use App\Controller\NewsController;
use Hyperf\HttpServer\Router\Router;
use App\Middleware\Auth\FooMiddleware;
use FastRoute\Route;

Router::addGroup(
    '/news',
    function () {
        //获取导航池列表
        Router::get('/getCategoryList', [NewsController::class, 'getCategoryList']);
        //后台获取  我的导航池
        Router::get('/myCategoryList', [NewsController::class, 'myCategoryList']);

        //导航池 筛选 搜索
        Router::get('/categoryList', [NewsController::class, 'categoryList']);
        //添加导航池
        Router::post('/addCategory', [NewsController::class, 'addCategory']);
        //更新导航池
        Router::post('/updateCategory', [NewsController::class, 'updateCategory']);
        //删除导航池
        Router::post('/delCategory', [NewsController::class, 'delCategory']);
        //获取资讯列表
        Router::get('/getArticleList', [NewsController::class, 'getArticleList']);
        //添加资讯
        Router::post('/addArticle', [NewsController::class, 'addArticle']);
        //修改资讯
        Router::post('/updateArticle', [NewsController::class, 'updateArticle']);
        //删除资讯
        Router::post('/delArticle', [NewsController::class, 'delArticle']);
        //更新资讯状态
        Router::post('/upArticleStatus', [NewsController::class, 'upArticleStatus']);
        //查看资讯
        Router::get('/getArticleInfo', [NewsController::class, 'getArticleInfo']);
        // 前端-搜索资讯
        Router::get('/selectWebsiteCategory', [NewsController::class, 'selectWebsiteArticle']);
        //获取导航池信息
        Router::get('/getCategoryInfo', [NewsController::class, 'getCategoryInfo']);

        //后端-获取调查问卷列表
        Router::post('/getSurveyList', [NewsController::class, 'getSurveyList']);
        //后端-获取调查问卷详情
        Router::post('/getSurveyInfo', [NewsController::class, 'getSurveyInfo']);
        //前端-获取资讯列表
        Router::get('/getWebsiteArticleList', [NewsController::class, 'getWebsiteArticleList']);
        //检测导航池名称是否存在
        Router::post('/checkCategoryName', [NewsController::class, 'checkCategoryName']);

        //20250226  产品列表
        Router::post('/getGoodList', [NewsController::class, 'getGoodList']);
        Router::post('/getGoodInfo', [NewsController::class, 'getGoodInfo']);
        Router::post('/addGood', [NewsController::class, 'addGood']);
        Router::post('/updateGood', [NewsController::class, 'updateGood']);
        Router::post('/delGood', [NewsController::class, 'delGood']);
        Router::post('/updateGoodStatus', [NewsController::class, 'updateGoodStatus']);
        //20250226  产品列表
        //20250306  求职信息
        Router::post('/getJobHuntingList', [NewsController::class, 'getJobHuntingList']);
        Router::post('/getJobHuntingInfo', [NewsController::class, 'getJobHuntingInfo']);
        Router::post('/addJobHunting', [NewsController::class, 'addJobHunting']);
        Router::post('/updateJobHunting', [NewsController::class, 'updateJobHunting']);
        Router::post('/delJobHunting', [NewsController::class, 'delJobHunting']);
        Router::post('/getJobHuntingData', [NewsController::class, 'getJobHuntingData']);
        // 审核
        Router::post('/updateJobHuntingStatus', [NewsController::class, 'updateJobHuntingStatus']);
        //20250306  求职信息
        //20250324  通知，公告，消息
        Router::post('/getNoticeList', [NewsController::class, 'getNoticeList']);
        Router::post('/getNoticeInfo', [NewsController::class, 'getNoticeInfo']);
        Router::post('/addNotice', [NewsController::class, 'addNotice']);
        Router::post('/updateNotice', [NewsController::class, 'updateNotice']);
        Router::post('/deleteNotice', [NewsController::class, 'deleteNotice']);
        //审核
        Router::post('/updateNoticeStatus', [NewsController::class, 'updateNoticeStatus']);

        Router::post('/getMSG', [NewsController::class, 'getMSG']);
        //投诉
        Router::post('/getComplaintList', [NewsController::class, 'getComplaintList']);
        Router::post('/getComplaintInfo', [NewsController::class, 'getComplaintInfo']);
        Router::post('/addComplaint', [NewsController::class, 'addComplaint']);
        Router::post('/updateComplaint', [NewsController::class, 'updateComplaint']);
        Router::post('/deleteComplaint', [NewsController::class, 'deleteComplaint']);
        //审核
        Router::post('/updateComplaintStatus', [NewsController::class, 'updateComplaintStatus']);
        Router::post('/getDUser', [NewsController::class, 'getDUser']);
        //20250324  通知，公告，消息

        //20250422  书刊音像
        Router::post('/getBookList', [NewsController::class, 'getBookList']);
        Router::post('/getBookInfo', [NewsController::class, 'getBookInfo']);
        Router::post('/addBook', [NewsController::class, 'addBook']);
        Router::post('/updateBook', [NewsController::class, 'updateBook']);
        Router::post('/deleteBook', [NewsController::class, 'deleteBook']);
        Router::post('/updateBookStatus', [NewsController::class, 'updateBookStatus']);
        //20250422  书刊音像

        // 20250306 招聘
        Router::get('/getJobCompany', [NewsController::class, 'getJobCompany']);
        Router::post('/upJobCompany', [NewsController::class, 'upJobCompany']);
        Router::get('/getJobRecruitingList', [NewsController::class, 'getJobRecruitingList']);
        Router::get('/getJobRecruitingInfo', [NewsController::class, 'getJobRecruitingInfo']);
        Router::post('/addJobRecruiting', [NewsController::class, 'addJobRecruiting']);
        Router::post('/upJobRecruiting', [NewsController::class, 'upJobRecruiting']);
        Router::post('/delJobRecruiting', [NewsController::class, 'delJobRecruiting']);
        Router::post('/checkJobRecruiting', [NewsController::class, 'checkJobRecruiting']);
        // 菜单
        Router::get('/getJobRecruitingArea', [NewsController::class, 'getJobRecruitingArea']);
        Router::get('/getIndustry', [NewsController::class, 'getIndustry']);
        Router::get('/getPositionList', [NewsController::class, 'getPositionList']);
        Router::get('/getJobNature', [NewsController::class, 'getJobNature']);
        Router::get('/getExperience', [NewsController::class, 'getExperience']);
        Router::get('/getEducation', [NewsController::class, 'getEducation']);
        Router::get('/getSalary', [NewsController::class, 'getSalary']);
        Router::get('/getLanguage', [NewsController::class, 'getLanguage']);
        Router::get('/getLevel', [NewsController::class, 'getLevel']);
        Router::get('/getCompanySize', [NewsController::class, 'getCompanySize']);
        Router::get('/getCompanyNature', [NewsController::class, 'getCompanyNature']);

        // 20250306 招聘
    },
    ['middleware' => [FooMiddleware::class, \App\Middleware\Auth\SensitiveMiddleware::class]]
);
