<?php

declare (strict_types = 1);

use App\Controller\UserController;
use App\Middleware\Auth\FooMiddleware;
use Hyperf\HttpServer\Router\Router;

Router::addGroup(
    '/user', function () {
        Router::post('/createUser', [UserController::class, 'createUser']);
        Router::post('/updateUser', [UserController::class, 'updateUser']);
        //通过token获取用户信息
        Router::get('/getUserInfo', [UserController::class, 'getUserInfo']);
        //获取用户信息
        Router::get('/getUser', [UserController::class, 'getUser']);
        Router::get('/getUserList', [UserController::class, 'getUserList']);
        Router::post('/delUser', [UserController::class, 'delUser']);
        Router::post('/verifyUserInfo', [UserController::class, 'verifyUserInfo']);
        //角色列表
        Router::get('/roleList', [UserController::class, 'roleList']);
        //查看角色
        Router::get('/roleInfo', [UserController::class, 'roleInfo']);
        //添加角色
        Router::post('/addRole', [UserController::class, 'addRole']);
        //删除角色
        Router::post('/delRole', [UserController::class, 'delRole']);
        //更新角色
        Router::post('/updateRole', [UserController::class, 'updateRole']);
        Router::post('/changePassword', [UserController::class, 'changePassword']);
        //修改用户状态
        Router::post('/upUserStatus', [UserController::class, 'upUserStatus']);
        //重置密码
        Router::post('/resetPassword', [UserController::class, 'resetPassword']);
        Router::post('/getToken', [UserController::class, 'getToken']);
        //修改用户头像和昵称
        Router::post('/updateUserAvatarNickname', [UserController::class, 'updateUserAvatarNickname']);

    },
    ['middleware' => [FooMiddleware::class]]
);
